Subject: Re: linux-next: build failure after merge of the final tree (gpio tree related)

From: Mark Brown <[email-masked]>
Date: Mon, 6 Feb 2012 14:02:13 +0000

On Sun, Feb 05, 2012 at 11:07:08PM -0700, Grant Likely wrote:
> On Mon, Feb 06, 2012 at 03:23:46PM +1100, Stephen Rothwell wrote:

> > drivers/gpio/gpio-sodaville.c: In function 'sdv_register_irqsupport':
> > drivers/gpio/gpio-sodaville.c:152:8: error: 'struct irq_domain' has no member named 'irq_base'

> The sodavile is an x86 driver only.  This problem can be solved by
> making it depend on x86, which I'll do now.  When x86 is converted to the
> new irq_domain code the problem will go even further away.

IIRC I saw a similar issue trying to build the twl-core driver on
Samsung platforms (or possibly x86).